Competencies Curriculum Bundle (Domains I-V)

This is the complete package of the Competencies Curriculum. It contains Domains I – V of AMDA - The Society for Post-Acute and Long-Term Care Medicine's Competencies Curriculum for Attending Physicians Practicing in Post-Acute and Long Term Care. For more information on individual domains, see below:

 

Price
Member

$499

Non-Member $599

 

More information:

Taking the Competencies Curriculum

The Competencies Curriculum is divided into five domains. While participants are encouraged to take the entire curriculum, individuals may choose to take domains as they please, in any order. Participants have 60 days (from enrollment) to complete each Domain.

Credit Information

Physician CME

AMDA – The Society for Post-Acute and Long-Term Care Medicine is accredited by the Accreditation Council for Continuing Medical Education (ACCME) to provide continuing education for physicians.

The Society designates this activity, Domains I-V, for a maximum of 12.5 AMA PRA Category 1 CreditsTM. Physicians should only claim credit commensurate with the extent of their participation in the activity.

AMDA CMD Credit

This self-study activity has been pre-approved by the American Board of Post-Acute and Long-Term Care Medicine (ABPLM) for a total of 2.25 management hours and 9.25 clinical hours toward certification as a Certified Medical Director (CMD) in post-acute and long-term care medicine. The CMD program is administered by the ABPLM. Each physician should claim only those hours of credit actually spent on the activity.

Disclosures

The following Society Education Committee members have financial relationships to report: Eric G. Tangalos, MD, CMD – Lilly, Pfizer: Consultant; Omnicare: P&T Committee Chair; all others have no relationships to disclose. The Society Competency Curriculum workgroup and faculty have no relationships to disclose. Society staff have no financial relationships to disclose.

System Requirements

To participate in the online curriculum, you must have the following system requirements:

  • Adobe Flash Plug-in
  • Internet Explorer 9+, Mozilla Firefox, Google Chrome, Safari
  • Broadband Internet connection
  • Also compatible with iOS and Android based tablets